#top_navegacion{
    position: -webkit-sticky; /* Para compatibilidad con Safari */
    position: sticky;
    top: 0; /* Fija el menú en la parte superior de la ventana del navegador */
    z-index: 1000; /* Asegura que el menú se muestre por encima de otros contenidos */
    background-color: #ffffff; /* Fondo blanco, ajusta según el diseño de tu menú */
    box-shadow: 0 2px 5px rgba(0,0,0,0.2); /* Opcional: añade sombra para resaltar el menú */
}   

#capa_menu{
    box-shadow: 0 2px 3px rgba(0,0,0,0.8);
    background-color: #dedede;
}

.barra-navegacion {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
}
.redes-busqueda a.icono { /*, .menu-opciones a.icono {*/
    display: inline-block;
    width: 24px;
    height: 24px;
    background-size: cover;
    margin-right: 10px;
    text-decoration: none;
    margin-top: 10px;
}

/* Estilos específicos para cada icono */
.redes-busqueda a.facebook { background-image: url('../icons/facebook.svg'); }
.redes-busqueda a.twitter { background-image: url('../icons/twitter-x.svg'); }
.redes-busqueda a.instagram { background-image: url('../icons/instagram.svg'); }
.redes-busqueda a.email { background-image: url('../icons/envelope-at-fill.svg'); }
.a.inicio { background-image: url('../icons/house-fill.svg'); }

/*BORRABLE POR NO USARSE menu-opciones???
.menu-opciones a {
    color: black; 
    padding-left: 30px;
    position: relative;
}

.menu-opciones a.inicio:before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 24px;
    height: 24px;
    background-size: cover;
}
*/
.menu-desplegable {
    position: relative;
    display: inline-block;
}

.opciones-desplegables {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.menu-desplegable:hover .opciones-desplegables {
    display: block;
}

.opciones-desplegables a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

.opciones-desplegables a:hover {
    background-color: #f1f1f1;
}

/* Estilo para versión móvil */
.brand-mobile {
    display: inline-block;
    width: 70px; /* Ajusta según el tamaño de tu imagen */
    height: 70px; /* Ajusta según el tamaño de tu imagen */
    background-size: cover;
    background-position: center;
    text-indent: -9999px; /* Oculta el texto */
}
a.brand-mobile.inicio{
    background-image: url('../images/logo_mobile_t.png'); 
}
#titulo a.inicio{
    margin: 10px 0 10px 10px;
    float:left;
}
#titulo div{
    padding-top: 18px;
}

/* Oculta el texto "Inicio" en versión móvil */
.brand-mobile span {
    display: none;
}

#navbarContent a{
    color: rgba(0,0,0,.9);
}

#navbarContent{
    text-align: center;
    margin-top: 10px;
}
/*
.opcion-menu.seleccionado {
    background-color: #dedede;
    color: white; 
}
*/
.opcion-menu {
    background-color: #FFF; /* Color de fondo estándar */
}

.opcion-menu.seleccionado, .opcion-menu:hover {
    background-color: #d0d0d0; /* Color de fondo más oscuro cuando está seleccionado o en hover */
}
.dropdown-item:focus, .dropdown-item:hover {
    color: #16181b;
    text-decoration: none;
    background-color: #e4e4e4;
}
.dropdown-menu.show {
    box-shadow: 0 2px 2px rgba(0,0,0,0.5);
}
#titulo{
    font-weight: bold;
    text-align: center;
    margin-right:20px;
    font-family: Kalam, 'Trebuchet MS', 'Gill Sans', 'Gill Sans MT', Calibri, sans-serif;
    font-size: 1.1em;
}

#logoStickyContainer{
    visibility: hidden;
    display: none;
}

@media (min-width: 576px) {
 
    #top_navegacion_construccion{
        height: 2px;
        background-color: #5e5e5e;
    }

    #logoStickyContainer{
        visibility: visible;
        display: block;
    }
      
    #capa_menu{
        box-shadow: 0 2px 3px rgba(0,0,0,0.8);
        background-color: #FFF;
    }
    /* Estilos para pantallas mayores a 576px */
    .brand-mobile {
        width: auto; /* Reestablece el ancho */
        height: auto; /* Reestablece la altura */
        text-indent: 0; /* Muestra el texto nuevamente */
    }
    
    a.brand-mobile.inicio { background-image:none }
    .brand-mobile span {
        display: inline-block;
    }

    .logo-sticky-container {
        position: fixed;
        left: 50%;
        transform: translateX(-50%);
        top: 2px;
        opacity: 0; /* Inicialmente completamente transparente */
        z-index: 1050; /* Sobre otros elementos */
        transition: opacity 0.5s ease-in-out; 
    }

    #navbarContent{
        margin-top: 0px;
    }
}